Skip to main content
GET
/
v1
/
subscriptions
/
{id}
/
status
Get subscription status
curl --request GET \
  --url https://api.useplinth.com/v1/subscriptions/{id}/status \
  --header 'Authorization: Bearer <token>'
{
  "object": "entitlements",
  "subscription_id": "sub_01JABC...",
  "state": "active",
  "has_access": true,
  "tier": "full",
  "features": []
}

Authorizations

Authorization
string
header
required

Use sk_test_ keys for sandbox. Use sk_live_ keys for production. Obtain your key from the dashboard.

Path Parameters

id
string
required

Response

Subscription status

object
enum<string>
Available options:
entitlements
subscription_id
string | null
Example:

"sub_01JABC..."

state
enum<string> | null
Available options:
active,
trialing,
past_due,
grace,
delinquent,
paused,
canceled
Example:

"active"

has_access
boolean

True if the customer should have access to paid features. Active, trialing, past_due, and grace all return true.

Example:

true

tier
enum<string>
Available options:
full,
free
Example:

"full"

features
string[]
Example:
[]